GNU Trove

## gnu.trove
Class TIntStack

    java.lang.Object
      gnu.trove.TIntStack

    public class TIntStack

extends java.lang.Object

A stack of int primitives, backed by a TIntArrayList.

Version:
  $Id: PStack.template,v 1.2 2007/02/28 23:03:57 robeden Exp $
Author:
  Eric D. Friedman, Rob Eden

Field Summary
`protected TIntArrayList` `_list` the list used to hold the stack values.
`static int` `DEFAULT_CAPACITY`

Constructor Summary
`TIntStack()` Creates a new `TIntStack` instance with the default capacity.
`TIntStack(int capacity)` Creates a new `TIntStack` instance with the specified capacity.

Method Summary
`void` `clear()` Clears the stack, reseting its capacity to the default.
`int` `peek()` Returns the value at the top of the stack.
`int` `pop()` Removes and returns the value at the top of the stack.
`void` `push(int val)` Pushes the value onto the top of the stack.
`void` `reset()` Clears the stack without releasing its internal capacity allocation.
`int` `size()` Returns the current depth of the stack.
`int[]` `toNativeArray()` Copies the contents of the stack into a native array.
`void` `toNativeArray(int[] dest)` Copies a slice of the list into a native array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _list

    protected TIntArrayList _list

  the list used to hold the stack values.

### DEFAULT_CAPACITY

    public static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

Constructor Detail

### TIntStack

    public TIntStack()

  Creates a new `TIntStack` instance with the default capacity.

### TIntStack

    public TIntStack(int capacity)

  Creates a new `TIntStack` instance with the specified capacity.

  Parameters:
    `capacity` - the initial depth of the stack

Method Detail

### push

    public void push(int val)

  Pushes the value onto the top of the stack.

  Parameters:
    `val` - an `int` value

### pop

    public int pop()

  Removes and returns the value at the top of the stack.

  Returns:
    an `int` value

### peek

    public int peek()

  Returns the value at the top of the stack.

  Returns:
    an `int` value

### size

    public int size()

  Returns the current depth of the stack.

### clear

    public void clear()

  Clears the stack, reseting its capacity to the default.

### reset

    public void reset()

  Clears the stack without releasing its internal capacity allocation.

### toNativeArray

    public int[] toNativeArray()

  Copies the contents of the stack into a native array. Note that this will NOT pop them out of the stack.

  Returns:
    an `int[]` value

### toNativeArray

    public void toNativeArray(int[] dest)

  Copies a slice of the list into a native array. Note that this will NOT pop them out of the stack.

  Parameters:
    `dest` - the array to copy into.

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.